MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001083XdebugUsage problems (Wrong Results)public2014-10-31 11:072015-01-12 18:28
Reporterkuindji 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntu ServerOS Version14.04
Product Version2.2.5 
Target VersionFixed in Version2.2.7 
Summary0001083: xdebug_break() "Segmentation fault (core dumped)" when remote debugging
Description* phpStorm 8.0.1 remote debugging feature
* ubuntu 14.04 server / vagrant
* xdebug installed via apt-get install php5-xdebug

xdebug.ini:

zend_extension=xdebug.so
xdebug.remote_autostart = 1
xdebug.remote_enable = 1
xdebug.remote_mode = 'jit'
xdebug.remote_host = "10.0.2.2"
xdebug.remote_port = 10000
xdebug.idekey = "somekey"
xdebug.remote_handler = dbgp
xdebug.show_exception_trace = 1

Whenever I invoke xdebug_break() from an error/exception handler phpStorm opens a debug window with stack trace. When I try switching between frames I get the segfault error (on the server).

When there is no error/exception handler and xdebug reports a problem (without xdebug_break), or when I manually set a breakpoint - switching between frames works normally.
TagsNo tags attached.
Operating SystemUbuntu Server
PHP Version5.5.5-5.5.9
Attached Fileszip file icon Archive.zip [^] (2,424 bytes) 2014-11-12 05:40
log file icon xdebug.log [^] (12,783 bytes) 2014-11-12 05:44

- Relationships

-  Notes
(0002901)
derick (administrator)
2014-11-11 19:51

Could you please be so kind to provide a short reproducable script, and an
accompanying remote debugging log (made through
xdebug.remote_log=/tmp/xdebug.log") that illustrates this problem? I can't
seem to reproduce this without that.
(0002909)
kuindji (reporter)
2014-11-12 05:42

In the Archive.zip you'll find a sample project.
Lets call it xdebug-test.

In phpStorm:

PHP->Debug port = 10000
PHP->Servers:
add one called xdebug-test.tld
and set path mappings: project folder to "/vagrant"

Start listening for remote connections

vagrant up
vagrant ssh
cd /vagrant
php test.php
(0002970)
derick (administrator)
2015-01-10 17:30

Thanks for the report - I could reproduce it with that. Just the "test.php" script would have worked too though :-) Working on a fix now.
(0002971)
derick (administrator)
2015-01-12 18:28

Fixed for 2.2.7 and 2.3dev

- Issue History
Date Modified Username Field Change
2014-10-31 11:07 kuindji New Issue
2014-11-11 19:51 derick Note Added: 0002901
2014-11-11 19:51 derick Assigned To => derick
2014-11-11 19:51 derick Status new => feedback
2014-11-12 05:40 kuindji File Added: Archive.zip
2014-11-12 05:42 kuindji Note Added: 0002909
2014-11-12 05:42 kuindji Status feedback => assigned
2014-11-12 05:44 kuindji File Added: xdebug.log
2015-01-10 17:30 derick Note Added: 0002970
2015-01-10 17:30 derick Status assigned => acknowledged
2015-01-12 18:28 derick Note Added: 0002971
2015-01-12 18:28 derick Status acknowledged => closed
2015-01-12 18:28 derick Resolution open => fixed
2015-01-12 18:28 derick Fixed in Version => 2.2.7
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker